summaryrefslogtreecommitdiffstats
path: root/openssl/test/tx509
diff options
context:
space:
mode:
authorWilliam Joye <wjoye@cfa.harvard.edu>2017-05-02 16:41:35 (GMT)
committerWilliam Joye <wjoye@cfa.harvard.edu>2017-05-02 16:41:35 (GMT)
commit3d328008deedc58cd7a11c79063cefa7d662d4fc (patch)
treecb41a048885ce7b493f406360cf5f6edf689c468 /openssl/test/tx509
parent0a2b8b8e0bc2e91a9f10659b30e2e4f5b79ce692 (diff)
downloadblt-3d328008deedc58cd7a11c79063cefa7d662d4fc.zip
blt-3d328008deedc58cd7a11c79063cefa7d662d4fc.tar.gz
blt-3d328008deedc58cd7a11c79063cefa7d662d4fc.tar.bz2
inital commit
Diffstat (limited to 'openssl/test/tx509')
-rw-r--r--openssl/test/tx50985
1 files changed, 85 insertions, 0 deletions
diff --git a/openssl/test/tx509 b/openssl/test/tx509
new file mode 100644
index 0000000..77f5cac
--- /dev/null
+++ b/openssl/test/tx509
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+cmd='../util/shlib_wrap.sh ../apps/openssl x509'
+
+if [ "$1"x != "x" ]; then
+ t=$1
+else
+ t=testx509.pem
+fi
+
+echo testing X509 conversions
+cp $t x509-fff.p
+
+echo "p -> d"
+$cmd -in x509-fff.p -inform p -outform d >x509-f.d
+if [ $? != 0 ]; then exit 1; fi
+echo "p -> n"
+$cmd -in x509-fff.p -inform p -outform n >x509-f.n
+if [ $? != 0 ]; then exit 1; fi
+echo "p -> p"
+$cmd -in x509-fff.p -inform p -outform p >x509-f.p
+if [ $? != 0 ]; then exit 1; fi
+
+echo "d -> d"
+$cmd -in x509-f.d -inform d -outform d >x509-ff.d1
+if [ $? != 0 ]; then exit 1; fi
+echo "n -> d"
+$cmd -in x509-f.n -inform n -outform d >x509-ff.d2
+if [ $? != 0 ]; then exit 1; fi
+echo "p -> d"
+$cmd -in x509-f.p -inform p -outform d >x509-ff.d3
+if [ $? != 0 ]; then exit 1; fi
+
+echo "d -> n"
+$cmd -in x509-f.d -inform d -outform n >x509-ff.n1
+if [ $? != 0 ]; then exit 1; fi
+echo "n -> n"
+$cmd -in x509-f.n -inform n -outform n >x509-ff.n2
+if [ $? != 0 ]; then exit 1; fi
+echo "p -> n"
+$cmd -in x509-f.p -inform p -outform n >x509-ff.n3
+if [ $? != 0 ]; then exit 1; fi
+
+echo "d -> p"
+$cmd -in x509-f.d -inform d -outform p >x509-ff.p1
+if [ $? != 0 ]; then exit 1; fi
+echo "n -> p"
+$cmd -in x509-f.n -inform n -outform p >x509-ff.p2
+if [ $? != 0 ]; then exit 1; fi
+echo "p -> p"
+$cmd -in x509-f.p -inform p -outform p >x509-ff.p3
+if [ $? != 0 ]; then exit 1; fi
+
+cmp x509-fff.p x509-f.p
+if [ $? != 0 ]; then exit 1; fi
+cmp x509-fff.p x509-ff.p1
+if [ $? != 0 ]; then exit 1; fi
+cmp x509-fff.p x509-ff.p2
+if [ $? != 0 ]; then exit 1; fi
+cmp x509-fff.p x509-ff.p3
+if [ $? != 0 ]; then exit 1; fi
+
+cmp x509-f.n x509-ff.n1
+if [ $? != 0 ]; then exit 1; fi
+cmp x509-f.n x509-ff.n2
+if [ $? != 0 ]; then exit 1; fi
+cmp x509-f.n x509-ff.n3
+if [ $? != 0 ]; then exit 1; fi
+
+cmp x509-f.p x509-ff.p1
+if [ $? != 0 ]; then exit 1; fi
+cmp x509-f.p x509-ff.p2
+if [ $? != 0 ]; then exit 1; fi
+cmp x509-f.p x509-ff.p3
+if [ $? != 0 ]; then exit 1; fi
+
+echo "Parsing test certificates"
+
+$cmd -in certs/pss1.pem -text -noout >/dev/null
+if [ $? != 0 ]; then exit 1; fi
+
+echo OK
+
+/bin/rm -f x509-f.* x509-ff.* x509-fff.*
+exit 0